loginUser.v1
POST
/shopgate.user.loginUser.v1
Attempts to log in the user. The user can choose between multiple login strategies. A strategy can be ‘basic’ or ‘facebook’ login. After login, the user storage becomes available to store data in a shop-global scope and can be shared across devices. Based on the shop, custom errors can be returned to react to in the theme. Calling this pipeline when a user is logged in results in an error because that usually means there some kind of issue in the theme.
Request Body
Section titled “Request Body”Login parameter.
Media typeapplication/json
object
strategy
required
string
Example
basicparameters
required
Parameters for Login. They differ depending on the strategy.
object
Example
{ "login": "info@shopgate.com", "password": "secret"}Responses
Section titled “Responses”Returns an empty object.
Media typeapplication/json
object
Examplegenerated
{}EUNKNOWN
Section titled “EUNKNOWN”Returns one or multiple error messages.
Media typeapplication/json

